<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml"
>
    <!--Params : -->
    <!--Beans : simulationBean, sutSelectionBean-->
    <!--Templates : messageConfiguration-->

    <h:form id="globalForm">
        <h1>
            <h:outputText value="#{simulationBean.getTitle()}"/>
        </h1>
        <br/>

        <ui:decorate template="/simulator/sutSelection.xhtml"/>
        <br/>

        <s:div id="messageConfiguration" rendered="#{sutSelectionBean.selectedSUT != null}">
            <ui:decorate template="/layout/panels/_panel_title.xhtml">
                <ui:define name="panel_title">#{messages['gazelle.simulator.pam.MessageConfiguration']}</ui:define>
                <s:div rendered="#{simulationBean.getMessages() == null}">
                    <ui:insert name="editMessageConfiguration"/>
                    <br/><br/>
                    <s:div>
                        <br/><br/>
                        <a4j:commandButton value="#{messages['gazelle.simulator.pam.Send']}"
                                           action="#{simulationBean.send()}"
                                           render="globalForm" styleClass="gzl-btn-blue" style="float: right;"
                                           execute="@form"/>
                        <a4j:commandButton value="#{messages['gazelle.simulator.pam.CleanUpForm']}"
                                           render="globalForm"
                                           action="#{simulationBean.resetForm()}"
                                           styleClass="gzl-btn-orange" style="float: right;"/>
                    </s:div>
                </s:div>
                <s:div rendered="#{simulationBean.getMessages() != null}">
                    <ui:insert name="displayMessageConfiguration"/>
                </s:div>

            </ui:decorate>
        </s:div>

        <s:div id="executionSummary" rendered="#{sutSelectionBean.selectedSUT != null and simulationBean.getMessages() != null}">
            <ui:decorate template="/layout/panels/_panel_title.xhtml">
                <ui:define name="panel_title">#{messages['gazelle.simulator.pam.ExecutionSummary']}</ui:define>
                <ui:include src="/messages/message_table.xhtml">
                    <ui:param name="hl7Messages" value="#{simulationBean.messages}"/>
                </ui:include>
                <br/><br/>
                <s:div>
                    <a4j:commandButton value="#{messages['gazelle.simulator.pam.PerformAnotherTest_2']}"
                                       render="globalForm"
                                       action="#{simulationBean.performAnotherTest()}"
                                       styleClass="gzl-btn-orange" style="float: right;"/>
                </s:div>
            </ui:decorate>
        </s:div>

    </h:form>
</ui:composition>